Bug 1301649 (CVE-2015-8781, CVE-2015-8782, CVE-2015-8783)

Summary: CVE-2015-8781 CVE-2015-8782 CVE-2015-8783 libtiff: invalid assertion
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: carnil, mhradile, phracek, sardella, security-response-team, slawomir
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-10-13 09:25:41 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1299918, 1299919, 1299920, 1299921, 1301650, 1335098, 1335099    
Bug Blocks: 1294418    

Description Andrej Nemec 2016-01-25 15:32:35 UTC
A flaw was discovered in a way libtiff decodes special data. A potential out-of-bounds write could occur for specifically crafted images.

External bug report (CVE-2015-8781):

http://bugzilla.maptools.org/show_bug.cgi?id=2522

CVE assignments:

http://seclists.org/oss-sec/2016/q1/190

Upstream fix (for all CVEs):

https://github.com/vadz/libtiff/commit/aaab5c3c9d2a2c6984f23ccbc79702610439bc65

Comment 1 Andrej Nemec 2016-01-25 15:33:16 UTC
Created libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1301650]

Comment 2 Stefan Cornelius 2016-01-26 12:23:43 UTC
On RHEL5, 6, 7, and Fedora, libtiff is compiled with assertions enabled. Thus, the impact of these flaws is limited to triggering an assertion.

Comment 8 errata-xmlrpc 2016-08-02 16:41:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:1547 https://rhn.redhat.com/errata/RHSA-2016-1547.html

Comment 9 errata-xmlrpc 2016-08-02 17:00:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:1546 https://rhn.redhat.com/errata/RHSA-2016-1546.html